Feeef Cloud
ApiGeo

Resolve up to 500 dirty state/city label rows in one call

POST
/geo/resolve/batch
AuthorizationBearer <token>

Project API key, fc_live_…. Keep keys out of public client code. The trusted Cloud playground accepts credentials temporarily in memory.

In: header

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

application/json

curl -X POST "https://example.com/geo/resolve/batch" \  -H "Content-Type: application/json" \  -d '{    "rows": [      {        "id": "string"      }    ]  }'
{  "data": [    {      "stateCode": "string",      "state": {        "code": "st",        "country": "st",        "name": "string",        "displayName": "string",        "locales": {          "ar": "string",          "fr": "string",          "en": "string"        },        "center": {          "lat": 0,          "lng": 0        },        "extentKm": {          "width": 0,          "height": 0        },        "bbox": [          0,          0,          0,          0        ],        "h3": "string"      },      "cityName": "string",      "city": {        "id": "string",        "stateCode": "st",        "country": "st",        "name": "string",        "displayName": "string",        "locales": {          "ar": "string",          "fr": "string",          "en": "string"        },        "center": {          "lat": 0,          "lng": 0        },        "extentKm": {          "width": 0,          "height": 0        },        "bbox": [          0,          0,          0,          0        ],        "h3": "string",        "postalCode": "string"      },      "confidence": 0,      "method": "code",      "autoAccept": true,      "alternatives": [        {          "stateCode": "string",          "cityName": "string",          "score": 0        }      ],      "id": "string"    }  ]}